Class | Sequel::IntegerMigrator
In: | lib/sequel/extensions/migration.rb
Parent: | Migrator

The default migrator, recommended in most cases. Uses a simple incrementing version number starting with 1, where missing or duplicate migration file versions are not allowed. Part of the `migration` extension.

### Methods

is_current? new run

### Constants

DEFAULT_SCHEMA_COLUMN | = | :version
DEFAULT_SCHEMA_TABLE | = | :schema_info
Error | = | Migrator::Error

### Attributes

current | [R] | The current version for this migrator
direction | [R] | The direction of the migrator, either :up or :down
migrations | [R] | The migrations used by this migrator

### Public Class methods

new(db, directory, opts={})

Set up all state for the migrator instance

[Source]

         # File lib/sequel/extensions/migration.rb, line 495
    495:     def initialize(db, directory, opts={})
    496:       super
    497:       @target = opts[:target] || latest_migration_version
    498:       @current = opts[:current] || current_migration_version
    499:
    500:       raise(Error, "No current version available") unless current
    501:       raise(Error, "No target version available, probably because no migration files found or filenames don't follow the migration filename convention") unless target
    502:
    503:       @direction = current < target ? :up : :down
    504:       @migrations = get_migrations
    505:     end

### Public Instance methods

is_current?()

The integer migrator is current if the current version is the same as the target version.

[Source]

         # File lib/sequel/extensions/migration.rb, line 508
    508:     def is_current?
    509:       current_migration_version == target
    510:     end

run()

Apply all migrations on the database

[Source]

         # File lib/sequel/extensions/migration.rb, line 513
    513:     def run
    514:       migrations.zip(version_numbers).each do |m, v|
    515:         t = Time.now
    516:         lv = up? ? v : v + 1
    517:         db.log_info("Begin applying migration version #{lv}, direction: #{direction}")
    518:         checked_transaction(m) do
    519:           m.apply(db, direction)
    520:           set_migration_version(v)
    521:         end
    522:         db.log_info("Finished applying migration version #{lv}, direction: #{direction}, took #{sprintf('%0.6f', Time.now - t)} seconds")
    523:       end
    524:
    525:       target
    526:     end

[Validate]